SQLInputFromTuple
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SQLInputFromTuple

    java.lang.Object
      org.postgresql.pljava.internal.JavaWrapper
          org.postgresql.pljava.jdbc.SQLInputFromTuple

All Implemented Interfaces:
  java.sql.SQLInput

    public class SQLInputFromTuple

extends JavaWrapper
implements java.sql.SQLInput

A single row, updateable ResultSet specially made for triggers. The changes made to this ResultSet are remembered and converted to a SPI_modify_tuple call prior to function return.

Constructor Summary
`SQLInputFromTuple(long heapTupleHeaderPointer, TupleDesc tupleDesc)`

Method Summary
`protected void` | `_free(long pointer)` Calls the C function pfree() with the given pointer as an argument.
`java.sql.Array` | `readArray()`
`java.io.InputStream` | `readAsciiStream()`
`java.math.BigDecimal` | `readBigDecimal()`
`java.io.InputStream` | `readBinaryStream()`
`java.sql.Blob` | `readBlob()`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`byte[]` | `readBytes()`
`java.io.Reader` | `readCharacterStream()`
`java.sql.Clob` | `readClob()`
`java.sql.Date` | `readDate()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`java.sql.NClob` | `readNClob()`
`java.lang.String` | `readNString()`
`java.lang.Object` | `readObject()`
`java.sql.Ref` | `readRef()`
`java.sql.RowId` | `readRowId()`
`short` | `readShort()`
`java.sql.SQLXML` | `readSQLXML()`
`java.lang.String` | `readString()`
`java.sql.Time` | `readTime()`
`java.sql.Timestamp` | `readTimestamp()`
`java.net.URL` | `readURL()`
`boolean` | `wasNull()`

Methods inherited from class org.postgresql.pljava.internal.JavaWrapper
`finalize, getNativePointer`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLInputFromTuple

    public SQLInputFromTuple(long heapTupleHeaderPointer,
                             TupleDesc tupleDesc)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### readArray

    public java.sql.Array readArray()
                             throws java.sql.SQLException

  Specified by:
    `readArray` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readAsciiStream

    public java.io.InputStream readAsciiStream()
                                        throws java.sql.SQLException

  Specified by:
    `readAsciiStream` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readBigDecimal

    public java.math.BigDecimal readBigDecimal()
                                        throws java.sql.SQLException

  Specified by:
    `readBigDecimal` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readBinaryStream

    public java.io.InputStream readBinaryStream()
                                         throws java.sql.SQLException

  Specified by:
    `readBinaryStream` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readBlob

    public java.sql.Blob readBlob()
                           throws java.sql.SQLException

  Specified by:
    `readBlob` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readBoolean

    public boolean readBoolean()
                        throws java.sql.SQLException

  Specified by:
    `readBoolean` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readByte

    public byte readByte()
                  throws java.sql.SQLException

  Specified by:
    `readByte` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readBytes

    public byte[] readBytes()
                     throws java.sql.SQLException

  Specified by:
    `readBytes` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readCharacterStream

    public java.io.Reader readCharacterStream()
                                       throws java.sql.SQLException

  Specified by:
    `readCharacterStream` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readClob

    public java.sql.Clob readClob()
                           throws java.sql.SQLException

  Specified by:
    `readClob` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readDate

    public java.sql.Date readDate()
                           throws java.sql.SQLException

  Specified by:
    `readDate` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readDouble

    public double readDouble()
                      throws java.sql.SQLException

  Specified by:
    `readDouble` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readFloat

    public float readFloat()
                    throws java.sql.SQLException

  Specified by:
    `readFloat` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readInt

    public int readInt()
                throws java.sql.SQLException

  Specified by:
    `readInt` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readLong

    public long readLong()
                  throws java.sql.SQLException

  Specified by:
    `readLong` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readObject

    public java.lang.Object readObject()
                                throws java.sql.SQLException

  Specified by:
    `readObject` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readRef

    public java.sql.Ref readRef()
                         throws java.sql.SQLException

  Specified by:
    `readRef` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readShort

    public short readShort()
                    throws java.sql.SQLException

  Specified by:
    `readShort` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readString

    public java.lang.String readString()
                                throws java.sql.SQLException

  Specified by:
    `readString` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readTime

    public java.sql.Time readTime()
                           throws java.sql.SQLException

  Specified by:
    `readTime` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readTimestamp

    public java.sql.Timestamp readTimestamp()
                                     throws java.sql.SQLException

  Specified by:
    `readTimestamp` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readURL

    public java.net.URL readURL()
                         throws java.sql.SQLException

  Specified by:
    `readURL` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Specified by:
    `wasNull` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### _free

    protected void _free(long pointer)

  Description copied from class: `JavaWrapper`
  Calls the C function pfree() with the given pointer as an argument. Subclasses may override this method if special handling is needed when freeing up the object.

  Overrides:
    `_free` in class `JavaWrapper`
  Parameters:
    `pointer` - The pointer to free.

### readNClob

    public java.sql.NClob readNClob()
                             throws java.sql.SQLException

  Specified by:
    `readNClob` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readNString

    public java.lang.String readNString()
                                 throws java.sql.SQLException

  Specified by:
    `readNString` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readRowId

    public java.sql.RowId readRowId()
                             throws java.sql.SQLException

  Specified by:
    `readRowId` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

### readSQLXML

    public java.sql.SQLXML readSQLXML()
                               throws java.sql.SQLException

  Specified by:
    `readSQLXML` in interface `java.sql.SQLInput`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT